Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.ui.util.io
Class CapturedPrintWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              echopointng.ui.util.io.CapturedPrintWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable

    public class CapturedPrintWriter

extends java.io.PrintWriter

An PrintWriter that will capture the content as it otherwise passes into the ether.

Field Summary

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`CapturedPrintWriter(java.io.ByteArrayOutputStream out)`

Method Summary
`boolean` | `checkError()`
`void` | `close()`
`void` | `flush()`
`void` | `print(boolean b)`
`void` | `print(char c)`
`void` | `print(char[] arr)`
`void` | `print(double d)`
`void` | `print(float f)`
`void` | `print(int i)`
`void` | `print(long l)`
`void` | `print(java.lang.Object obj)`
`void` | `print(java.lang.String s)`
`void` | `println()`
`void` | `println(boolean x)`
`void` | `println(char x)`
`void` | `println(char[] x)`
`void` | `println(double x)`
`void` | `println(float x)`
`void` | `println(int x)`
`void` | `println(long x)`
`void` | `println(java.lang.Object x)`
`void` | `println(java.lang.String x)`
`protected void` | `setError()`
`void` | `write(char[] buf)`
`void` | `write(char[] buf, int off, int len)`
`void` | `write(int c)`
`void` | `write(java.lang.String s)`
`void` | `write(java.lang.String s, int off, int len)`

Methods inherited from class java.io.PrintWriter
`append, append, append, format, format, printf, printf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CapturedPrintWriter

    public CapturedPrintWriter(java.io.ByteArrayOutputStream out)

Method Detail

### checkError

    public boolean checkError()

  Overrides:
    `checkError` in class `java.io.PrintWriter`
  See Also:
    `PrintWriter.checkError()`

### close

    public void close()

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.PrintWriter`
  See Also:
    `Writer.close()`

### flush

    public void flush()

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `java.io.PrintWriter`
  See Also:
    `Writer.flush()`

### print

    public void print(boolean b)

  Overrides:
    `print` in class `java.io.PrintWriter`
  See Also:
    `PrintWriter.print(boolean)`

### print

    public void print(char c)

  Overrides:
    `print` in class `java.io.PrintWriter`
  See Also:
    `PrintWriter.print(char)`

### print

    public void print(char[] arr)

  Overrides:
    `print` in class `java.io.PrintWriter`
  See Also:
    `PrintWriter.print(char[])`

### print

    public void print(double d)

  Overrides:
    `print` in class `java.io.PrintWriter`
  See Also:
    `PrintWriter.print(double)`

### print

    public void print(float f)

  Overrides:
    `print` in class `java.io.PrintWriter`
  See Also:
    `PrintWriter.print(float)`

### print

    public void print(int i)

  Overrides:
    `print` in class `java.io.PrintWriter`
  See Also:
    `PrintWriter.print(int)`

### print

    public void print(long l)

  Overrides:
    `print` in class `java.io.PrintWriter`
  See Also:
    `PrintWriter.print(long)`

### print

    public void print(java.lang.Object obj)

  Overrides:
    `print` in class `java.io.PrintWriter`
  See Also:
    `PrintWriter.print(java.lang.Object)`

### print

    public void print(java.lang.String s)

  Overrides:
    `print` in class `java.io.PrintWriter`
  See Also:
    `PrintWriter.print(java.lang.String)`

### println

    public void println()

  Overrides:
    `println` in class `java.io.PrintWriter`
  See Also:
    `PrintWriter.println()`

### println

    public void println(boolean x)

  Overrides:
    `println` in class `java.io.PrintWriter`
  See Also:
    `PrintWriter.println(boolean)`

### println

    public void println(char x)

  Overrides:
    `println` in class `java.io.PrintWriter`
  See Also:
    `PrintWriter.println(char)`

### println

    public void println(char[] x)

  Overrides:
    `println` in class `java.io.PrintWriter`
  See Also:
    `PrintWriter.println(char[])`

### println

    public void println(double x)

  Overrides:
    `println` in class `java.io.PrintWriter`
  See Also:
    `PrintWriter.println(double)`

### println

    public void println(float x)

  Overrides:
    `println` in class `java.io.PrintWriter`
  See Also:
    `PrintWriter.println(float)`

### println

    public void println(int x)

  Overrides:
    `println` in class `java.io.PrintWriter`
  See Also:
    `PrintWriter.println(int)`

### println

    public void println(long x)

  Overrides:
    `println` in class `java.io.PrintWriter`
  See Also:
    `PrintWriter.println(long)`

### println

    public void println(java.lang.Object x)

  Overrides:
    `println` in class `java.io.PrintWriter`
  See Also:
    `PrintWriter.println(java.lang.Object)`

### println

    public void println(java.lang.String x)

  Overrides:
    `println` in class `java.io.PrintWriter`
  See Also:
    `PrintWriter.println(java.lang.String)`

### setError

    protected void setError()

  Overrides:
    `setError` in class `java.io.PrintWriter`
  See Also:
    `PrintWriter.setError()`

### write

    public void write(char[] buf,
                      int off,
                      int len)

  Overrides:
    `write` in class `java.io.PrintWriter`
  See Also:
    `Writer.write(char[], int, int)`

### write

    public void write(char[] buf)

  Overrides:
    `write` in class `java.io.PrintWriter`
  See Also:
    `Writer.write(char[])`

### write

    public void write(int c)

  Overrides:
    `write` in class `java.io.PrintWriter`
  See Also:
    `Writer.write(int)`

### write

    public void write(java.lang.String s,
                      int off,
                      int len)

  Overrides:
    `write` in class `java.io.PrintWriter`
  See Also:
    `Writer.write(java.lang.String, int, int)`

### write

    public void write(java.lang.String s)

  Overrides:
    `write` in class `java.io.PrintWriter`
  See Also:
    `Writer.write(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD